<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">

    <bean id="networkManager" class="en.dlink.service.NetworkImplManager">
        <property name="networkDao" ref="networkDao"/>
    </bean>

    <bean id="paramManager" class="en.dlink.service.ParamManagerImpl">
        <property name="paramDao" ref="paramDao"/>
    </bean>

    <bean id="modelManager" class="en.dlink.service.ModelManagerImpl">
        <property name="modelDao" ref="modelDao"/>
    </bean>

    <bean id="userManager" class="en.dlink.service.UserImplManager" >
        <property name="userDao" ref="userDao"/>
        <property name="mailSender"   ref="mailSender"  />
        <property name="simpleMailSender" ref="simpleMailMessage"/>
    </bean>

    <bean id="fileManager" class="en.dlink.service.FileManagerImpl">
        <property name="fileDao" ref="fileDao"/>
    </bean>

    <bean id="subscriberManager" class="en.dlink.service.SubscriberManagerImpl">
        <property name="subscriberDao" ref="subscriberDao"/>
    </bean>

    <bean id="serverManager" class="en.dlink.service.ServerManagerImpl">
        <property name="serverDao" ref="serverDao"/>
    </bean>

    <bean id="uploadManager" class="en.dlink.service.UploadManagerImpl">
        <property name="uploadDao" ref="uploadDao"/>
    </bean>
</beans>